For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Invoice object
          • GET/invoices
          • POST/invoices
          • GET/invoices/{id}
          • PATCH/invoices/{id}
          • GET/invoices/line-items/remote-field-classes
          • GET/invoices/meta/patch/{id}
          • GET/invoices/meta/post
          • GET/invoices/remote-field-classes
          • POST/invoices/bulk
          • GET/invoices/bulk/{batch_id}

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsInvoices

/invoices/{id}

GET
/accounting/v1/invoices/:id
GET
/api/accounting/v1/invoices/:id
$curl -G https://api.merge.dev/api/accounting/v1/invoices/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=accounting_period \
> -d remote_fields=type \
> -d show_enum_origins=type
200Retrieved
1{
2 "id": "9871b4a9-f5d2-4f3b-a66b-dfedbed42c46",
3 "remote_id": "990110",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "type": "ACCOUNTS_RECEIVABLE",
7 "contact": "022a2bef-57e5-4def-8ed2-7c41bd9a5ed8",
8 "number": "AIQ12546",
9 "issue_date": "2020-03-31T00:00:00Z",
10 "due_date": "2020-04-15T00:00:00Z",
11 "paid_on_date": "2020-04-01T00:00:00Z",
12 "memo": "Weekly Payment",
13 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
14 "employee": "7442f0d5-722d-45bd-b807-6e38489d37fe",
15 "currency": "USD",
16 "exchange_rate": "2.9",
17 "payment_term": "89d329de-825f-4ac6-8369-3c58b4e68bee",
18 "total_discount": 1.1,
19 "sub_total": 100,
20 "status": "DRAFT",
21 "total_tax_amount": 5,
22 "total_amount": 105,
23 "balance": 105,
24 "remote_updated_at": "2020-04-01T00:00:00Z",
25 "tracking_categories": [
26 "7dc5ca17-d311-44cd-9ce0-333080367a18",
27 "6aa0700c-48e1-4c4a-8162-02e6a582df05",
28 "8c933d61-8f5b-4360-ac0c-c9dc87bee763"
29 ],
30 "accounting_period": "7dc5ca17-d311-44cd-9ce0-333080367a18",
31 "purchase_orders": [
32 "e7378d8f-3992-4c2a-8417-ebdc4f2bfeb7",
33 "dd70ca2f-b120-46fa-889a-9604037f45fd",
34 "889b281d-739c-4759-95b8-0aedb3947131"
35 ],
36 "sales_orders": [
37 "e7378d8f-3992-4c2a-8417-ebdc4f2bfeb7",
38 "dd70ca2f-b120-46fa-889a-9604037f45fd",
39 "889b281d-739c-4759-95b8-0aedb3947131"
40 ],
41 "payments": [
42 "b26fd49a-cbae-470a-a8f8-bcbc119e0390"
43 ],
44 "applied_payments": [
45 "9017594e-dc33-4113-a5d2-b0f928e34fdd"
46 ],
47 "line_items": [
48 {
49 "remote_id": "8765432",
50 "description": "Pickleball lessons",
51 "unit_price": 50,
52 "quantity": 1,
53 "total_amount": 50,
54 "employee": "7442f0d5-722d-45bd-b807-6e38489d37fe",
55 "project": "22e65a5d-2df5-4e6e-884a-e538d0339000",
56 "contact": "908934-49j9-093f-0989-908923908",
57 "currency": "USD",
58 "exchange_rate": "2.9",
59 "item": "5b3c1341-a20f-4e51-b72c-f3830a16c97b",
60 "account": "cd0f32d4-a493-11ec-b909-0242ac120002",
61 "tax_rate": "a12e7c20-1922-9df7-s75n-edfeewnn7384",
62 "tracking_categories": [
63 "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
64 "9b840d2-686a-465a-8a8e-7b028498f8e4",
65 "a47e11b6-c73b-4a0c-be31-130fc48177fa"
66 ],
67 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
68 "is_billable": true,
69 "remote_data": [
70 {
71 "path": "/actions",
72 "data": [
73 "Varies by platform"
74 ]
75 }
76 ]
77 }
78 ],
79 "applied_credit_notes": [
80 {
81 "credit_note": "5b3c1341-a20f-4e51-b72c-f3830a16c97b",
82 "applied_date": "2020-03-31T00:00:00Z",
83 "applied_amount": "2.9"
84 }
85 ],
86 "applied_vendor_credits": [
87 {
88 "vendor_credit": "5b3c1341-a20f-4e51-b72c-f3830a16c97b",
89 "applied_date": "2020-03-31T00:00:00Z",
90 "applied_amount": "2.9"
91 }
92 ],
93 "inclusive_of_tax": true,
94 "remote_was_deleted": true,
95 "field_mappings": {
96 "organization_defined_targets": {
97 "custom_key": "custom_value"
98 },
99 "linked_account_defined_targets": {
100 "custom_key": "custom_value"
101 }
102 },
103 "remote_data": [
104 {
105 "path": "/actions",
106 "data": null
107 }
108 ],
109 "remote_fields": [
110 {
111 "remote_field_class": {
112 "id": "string",
113 "display_name": "string",
114 "remote_key_name": "string",
115 "description": "string",
116 "is_custom": true,
117 "is_common_model_field": true,
118 "is_required": true,
119 "field_type": "string",
120 "field_format": "string",
121 "field_choices": [
122 "string"
123 ],
124 "item_schema": {
125 "item_type": "string",
126 "item_format": "string",
127 "item_choices": [
128 "string"
129 ]
130 }
131 },
132 "value": "string"
133 }
134 ]
135}

Returns an Invoice object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/invoices

Next

/invoices/{id}

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandlist of enumsOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
typeenum or null

Whether the invoice is an accounts receivable or accounts payable. If type is ACCOUNTS_PAYABLE, the invoice is a bill. If type is ACCOUNTS_RECEIVABLE, it is an invoice.

Allowed values:
contactstring or nullformat: "uuid"
The invoice's contact.
numberstring or null
The invoice's number.
issue_datedatetime or null
The invoice's issue date.
due_datedatetime or null
The invoice's due date.
paid_on_datedatetime or null
The invoice's paid date.
memostring or null
The invoice's private note.
companystring or nullformat: "uuid"
The company the invoice belongs to.
employeestring or nullformat: "uuid"
The employee this overall transaction relates to.
currencyenum or null
The invoice's currency. The currency code in ISO 4217 format.
exchange_ratestring or nullformat: "decimal"
The invoice's exchange rate.
payment_termstring or nullformat: "uuid"
The payment term that applies to this transaction.
total_discountdouble or null
The total discounts applied to the total cost.
sub_totaldouble or null
The total amount being paid before taxes.
statusenum or null
The status of the invoice.
total_tax_amountdouble or null
The total amount being paid in taxes.
total_amountdouble or null
The invoice's total amount.
balancedouble or null
The invoice's remaining balance.
remote_updated_atdatetime or null
When the third party's invoice entry was updated.
tracking_categorieslist of strings
accounting_periodstring or nullformat: "uuid"
The accounting period that the Invoice was generated in.
purchase_orderslist of strings
sales_orderslist of strings
paymentslist of strings

Array of Payment object IDs.

applied_paymentslist of strings
A list of the Payment Applied to Lines common models related to a given Invoice, Credit Note, or Journal Entry.
line_itemslist of objectsRead-only
applied_credit_noteslist of objects

CreditNoteApplyLines applied to the Invoice.

applied_vendor_creditslist of objects

VendorCreditApplyLines applied to the Invoice.

inclusive_of_taxboolean or null

If the transaction is inclusive or exclusive of tax. True if inclusive, False if exclusive.

remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more